!!com.snobot.simulator.config.v1.SimulatorConfigV1
mAccelerometers:
- mHandle: 212
  mName: SPI NavX X Accel
  mType: com.snobot.simulator.module_wrapper.BaseAccelerometerWrapper
- mHandle: 213
  mName: SPI NavX Y Accel
  mType: com.snobot.simulator.module_wrapper.BaseAccelerometerWrapper
- mHandle: 214
  mName: SPI NavX Z Accel
  mType: com.snobot.simulator.module_wrapper.BaseAccelerometerWrapper
mAnalogIn: []
mAnalogOut: []
mDefaultI2CWrappers: {}
mDefaultSpiWrappers:
  4: NavX
mDigitalIO:
- mHandle: 0
  mName: Elevator Low
  mType: com.snobot.simulator.module_wrapper.wpi.WpiDigitalIoWrapper
- mHandle: 2
  mName: Elevator High Limit
  mType: com.snobot.simulator.module_wrapper.wpi.WpiDigitalIoWrapper
- mHandle: 9
  mName: Is Real Robot
  mType: com.snobot.simulator.module_wrapper.wpi.WpiDigitalIoWrapper
mEncoders:
- mConnectedSpeedControllerHandle: 101
  mHandle: 101
  mName: Drive Left
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim$CtreEncoder
- mConnectedSpeedControllerHandle: 103
  mHandle: 103
  mName: Drive Right
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim$CtreEncoder
- mConnectedSpeedControllerHandle: 105
  mHandle: 105
  mName: Elevator
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim$CtreEncoder
mGyros:
- mHandle: 212
  mName: SPI NavX Yaw
  mType: com.snobot.simulator.module_wrapper.BaseGyroWrapper
- mHandle: 213
  mName: SPI NavX Pitch
  mType: com.snobot.simulator.module_wrapper.BaseGyroWrapper
- mHandle: 214
  mName: SPI NavX Roll
  mType: com.snobot.simulator.module_wrapper.BaseGyroWrapper
mPwm:
- mHandle: 3
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 0.0
  mName: Blinkin
  mType: com.snobot.simulator.module_wrapper.wpi.WpiPwmWrapper
- mHandle: 101
  mMotorModelConfig:
    mGearReduction: 10.0
    mGearboxEfficiency: 0.8
    mHasBrake: false
    mInverted: false
    mMotorType: CIM
    mNumMotors: 2
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.StaticLoadMotorSimulationConfig
    mConversionFactor: 0.15
    mLoad: 0.25
  mName: Drive Left (A)
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 102
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 0.0
  mName: Drive Left (B)
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 103
  mMotorModelConfig:
    mGearReduction: 10.0
    mGearboxEfficiency: 0.8
    mHasBrake: false
    mInverted: true
    mMotorType: CIM
    mNumMotors: 2
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.StaticLoadMotorSimulationConfig
    mConversionFactor: 0.15
    mLoad: 0.25
  mName: Drive Right (A)
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 104
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 0.0
  mName: Drive Right (B)
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 105
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 12.0
  mName: Elevator (M)
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 106
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 0.0
  mName: Elevator (F)
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 107
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 12.0
  mName: Cargo-quisition Arm
  mType: com.snobot.simulator.simulator_components.ctre.CtreTalonSrxSpeedControllerSim
- mHandle: 110
  mMotorModelConfig: null
  mMotorSimConfig: !!com.snobot.simulator.motor_sim.SimpleMotorSimulationConfig
    mMaxSpeed: 0.0
  mName: Fourbar (L)
  mType: com.snobot.simulator.simulator_components.rev.RevSpeedControllerSimWrapper
mRelays: []
mSimulatorComponents:
- !!com.snobot.simulator.simulator_components.config.TankDriveConfig
  mGyroHandle: 212
  mLeftMotorHandle: 101
  mRightMotorHandle: 103
  mTurnKp: 3.0
mSolenoids:
- mHandle: 0
  mName: Solenoid 0
  mType: com.snobot.simulator.module_wrapper.wpi.WpiSolenoidWrapper
- mHandle: 1
  mName: Solenoid 1
  mType: com.snobot.simulator.module_wrapper.wpi.WpiSolenoidWrapper
- mHandle: 2
  mName: Solenoid 2
  mType: com.snobot.simulator.module_wrapper.wpi.WpiSolenoidWrapper
- mHandle: 3
  mName: Solenoid 3
  mType: com.snobot.simulator.module_wrapper.wpi.WpiSolenoidWrapper
